package com.catarc.traceability.controller;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.catarc.traceability.entity.Order;
import com.catarc.traceability.service.OrderService;
import com.catarc.traceability.util.AjaxResponseForLayUI;
import com.isoft91.web.base.controller.FileController;


/**
 * 订单管理Controller
 * @ProjectName:traceability
 * @ClassName:OrderController.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: wangyao
 * @email: 842261834@qq.com 
 * @date 2017年1月14日 下午2:09:39
 * @version V1.0
 */
@Controller
@RequestMapping("/orderController")
public class OrderController extends FileController{

	@Autowired
	private OrderService orderService;
	
	/**
	 * 查询订单列表（带分页 layui）
	 * @MethodName:orderListByPagination
	 * @author: wenxin
	 * @email: 132988952@qq.com 
	 * @date 2017年9月20日 下午3:30:13
	 * @version V1.0
	 * @return
	 */
	@RequestMapping("/orderListByPagination")
    @ResponseBody
    public AjaxResponseForLayUI orderListByPagination(Order order) {
	   try {
 		   AjaxResponseForLayUI result = new AjaxResponseForLayUI();
 		   List<Map<String, Object>> list = orderService.queryAllOrder(order);
 		   List<Map<String, Object>> listCount = orderService.countOrder(order);
 		   int OrderCount = Integer.parseInt(listCount.get(0).get("TOTALS").toString());
 		   result.setCode(0);
 		   result.setMsg("success");
 		   result.setCount(OrderCount);
 		   result.setData(list);
 		   return result;
       } catch (Exception e) {
           e.printStackTrace();
           return null;
       }
    }
	
}
